--[[
	GET /admin/users/[id]
	Shows the editing page for the given user
]]

local a = require("admin")

local user = sqlite("dk"):get_one("SELECT * FROM users WHERE id = :i", {i = ctx.params.id})

local vtoken = user.verify_token
if vtoken == "" then vtoken = "Verification Token" end

return a.page("edit_user.html", "editing "..user.username, {
	user = user,
	verified_yes = to_bool(user.verified) and "checked" or "",
	verified_no = not to_bool(user.verified) and "checked" or "",
	vtoken = vtoken
})
